콘텐츠로 건너뛰기

H3 Max

통합

모델 id minimax/h3-max/insert-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3-max/insert-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "start_time": 1.625,
    "resume_time": 2
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.30 300 API 크레딧 이 페이지에서 실행

API 키 받기
MiniMax 동영상을 동영상으로 참조 입력5–13 s최대 768p #video-to-video#video-editing#scene-insertion

선택한 시점에 기존 비디오에 새로 생성한 장면을 삽입한 후 원본 영상으로 돌아갑니다

MiniMax · 동영상

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

0 / 50000
•필수 video_url
파일을 끌어다 놓거나
resolution 기본값 768p
•필수
•필수
기본값 5
고급 images · reference_video_urls · seed · enable_prompt_expansion · color_match
reference_image_urls
파일을 끌어다 놓거나 · 최대 9개
파일을 끌어다 놓거나 · 최대 3개
POST /run/minimax/h3-max/insert-video?wait=20 견적 → $0.30
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3-max/insert-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "start_time": 1.625,
    "resume_time": 2
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

H3 Max 정보

`start_time`과 `resume_time`(각각 1.625~60 s) 사이에 새 장면을 추가하여 소스 비디오를 편집합니다. 장면은 `prompt`, 최대 9개의 참조 이미지와 최대 3개의 참조 비디오로 안내할 수 있습니다. `duration`은 5~13초이고 출력은 480p 또는 768p이며, 삽입 장면과 소스를 자연스럽게 혼합하도록 `color_match`는 기본적으로 켜져 있습니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
video_url필수 video
유형url · video
prompt선택 사항
유형string | null
≤ 50,000자
reference_image_urls선택 사항 images
유형url[] · image
≤ 9개 항목
reference_video_urls선택 사항
유형url[] · video
≤ 3개 항목
start_time필수
유형number
1.625 – 60
resume_time필수
유형number
≤ 60> 1.625
duration선택 사항
유형number
기본값5
5 – 13
resolution선택 사항
유형enum
기본값768p
480p768p
seed선택 사항
유형integer | null
0 – 2,147,483,647
enable_prompt_expansion선택 사항
유형boolean
기본값true
color_match선택 사항
유형boolean
기본값true
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "minimax/h3-max/insert-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 300,
    "usd": "0.30",
    "charged": 300,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "start_time": 1.625,
    "resume_time": 2
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "seed": 42,
    "width": 1024,
    "height": 768,
    "frame_count": 1,
    "duration": 5,
    "start_time": 1.0,
    "resume_time": 1.0,
    "injected_duration": 1.0,
    "expanded_prompt": "string",
    "source": {},
    "timings": {}
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}
seed
integer
width
integer
height
integer
frame_count
integer
duration
number
start_time
number
resume_time
number
injected_duration
number
expanded_prompt
string | null
source
object
timings
object

더 많은 모델: 동영상을 동영상으로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/minimax/h3-max/insert-video.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt